Subject: Re: [mobile-ip] Text proposal for Mobile IPv6 issue 154 ND Constants(Removing RS/DAD optimizations).

From: Jari Arkko <[email-masked]>
Date: Mon, 03 Feb 2003 18:33:11 +0200

Yes it is the potential synchronization that we worry about.
Your text below looks fine.

Jari

Erik Nordmark wrote:

>>How about this (Section 11.5.2, paragraphs 5 & 6) for choice 3 above:
>>
>>   RFC 2462 [ref] specifies that in normal processing for Duplicate
>>   Address Detection, the node SHOULD delay sending the
>>   initial Neighbor Solicitation message by a random delay between
>>   0 and MAX_RTR_SOLICITATION_DELAY.  Since delaying
>>   DAD can result in significant delays in configuring a new care
>>   of address when the Mobile Node moves to a new link, the
>>   Mobile Node preferably SHOULD NOT delay DAD when
>>   configuring a new care of address. The Mobile Node SHOULD
>>   delay according to the mechanisms specified in RFC 2462
>>   if the Mobile IP stack cannot distinguish between the normal
>>   process of moving to a new link and reinitializing the interface, or
>>   if the link layer does not include adequate local collision and
>>   congestion control mechanisms.
> 
> 
> I don't see what the "distinguish" above is distinguishing between.
> Is it "moving to a new link" and "reinitializing the interface"?
> That doesn't make sense.
> It is the potential synchronizing events we care about (at least until
> we have more experimental data for real L2 behavior).
> 
> Thus it makes more sense to me to say
>      The Mobile Node SHOULD
>      delay according to the mechanisms specified in RFC 2462
>      unless the implementation has a behavior that desynchronizes the steps
>      that happen before the DAD in the case that multiple nodes experience
>      handover at the same time. Such desynchronizing behaviors might be due
>      to random delays in the L2 protocols or device drivers, or due to the    
>      movement detection mechanism that is used.
> 
>    Erik
> 
>